GH-RELEASE-DOWNLOAD(1)

NAME
gh-release-download - Download release assets

SYNOPSIS
gh release download [<tag>] [flags]

DESCRIPTION
Download assets from a GitHub release.

Without an explicit tag name argument, assets are downloaded from the latest release in the project. In this case, --pattern or --archive is required.

OPTIONS

--allow-escape-sequences
    Allow printing terminal escape sequences when writing an asset to standard output

-A, --archive <format>
    Download the source code archive in the specified format (zip or tar.gz)

--clobber
    Overwrite existing files of the same name

-D, --dir <directory> (default ".")
    The directory to download files into

-O, --output <file>
    The file to write a single asset to (use "-" to write to standard output)

-p, --pattern <stringArray>
    Download only assets that match a glob pattern

--skip-existing
    Skip downloading when files of the same name exist

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Download all assets from a specific release
    $ gh release download v1.2.3
    # Download only Debian packages for the latest release
    $ gh release download --pattern '*.deb'
    # Specify multiple file patterns
    $ gh release download -p '*.deb' -p '*.rpm'
    # Download the archive of the source code for a release
    $ gh release download v1.2.3 --archive=zip

SEE ALSO
gh-release(1)